Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1022041 - [RFE] [Admin Portal] Allow 'change cd' during Powering off state
Summary: [RFE] [Admin Portal] Allow 'change cd' during Powering off state
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: RFEs
Version: 3.3.0
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: ---
: 3.5.0
Assignee: Scott Herold
QA Contact: Shai Revivo
URL:
Whiteboard: virt
Depends On: 922377 1072313
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-10-22 14:21 UTC by Jiri Belka
Modified: 2015-06-08 05:45 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-02 09:29:25 UTC
oVirt Team: ---
Target Upstream Version:
sherold: Triaged+


Attachments (Terms of Use)

Description Jiri Belka 2013-10-22 14:21:32 UTC
Description of problem:
How 'Shutdown' works? If there is not Guest Agent (GA) inside OS, then ACPI call is sent. If guest OS has hooks to run specific application when kernel catches ACPI call, it would show popup (RHEL, SuSE). 


This shutdown warning popup tells user that OS is _going_ to be shutdown in 60 seconds. _But_ user can cancel this shutdown. When he cancels the shutdown, rhevm does not know about it but still keeps the VM in 'Powering off' state. But the VM is not in fact powering off, ok? During 'Powering Off' state of the VM, the user cannot attach any CD.

Summary: rhevm supposes that powering off of a VM means it is really powering off. This could be no reality. If rhevm cannot be sure the VM would shutdown 100%, it should not restrict actions on such VM (like 'change cd').

Version-Release number of selected component (if applicable):
is19

How reproducible:
100%

Steps to Reproduce:
1. have RHEL with GUI as VM (not guest agent)
2. shutdown from admin portal
3. cancel shutdown popup inside guest VM
4. immediately try to change cd

Actual results:
not possible to change cd during 'powering off' state

Expected results:
should be possible (as 'powering off' state is belief, not reality)

Additional info:
yes, after timeout is reached, the state is again up, but it is super annoying to wait just to attach a cd.

Comment 1 Itamar Heim 2013-10-23 05:59:05 UTC
this should have a roll forward if the VM does indeed power off (qemu process down), and should then only change cd in the vm config?

Comment 4 Michal Skrivanek 2014-01-31 09:23:51 UTC
note the default 60s delay is removed in 3.4
comment #1 may make sense and should be part of bug 922377

Comment 7 Michal Skrivanek 2015-06-02 09:29:25 UTC
(In reply to Michal Skrivanek from comment #4)
> note the default 60s delay is removed in 3.4
> comment #1 may make sense and should be part of bug 922377

this is addressed now, as aprt of VM configuration

Comment 8 Michal Skrivanek 2015-06-08 05:45:12 UTC
"edit running vm" feature


Note You need to log in before you can comment on or make changes to this bug.